import { View } from "@tarojs/components"
import style from './index.module.less'
import { useAppStore } from "@/store/appStore";
interface Props{
  show: boolean
  onClose: ()=> void
  contentStyle?: React.CSSProperties
  children: JSX.Element|JSX.Element[]
}
export default ({ show, onClose, contentStyle, children, }:Props)=> {
  const appConfig = useAppStore((state) => state.appConfig);
  if(show && appConfig){
    return <>
      <View className={style.popup}>
        <View className={style.popupContent}>
          <View className={style.content} style={contentStyle}>
            {children}
          </View>
        </View>
      </View>
    </>  
  }
  
  return <>
  </>
}